Skip to main content
`Ctrl`+`K`

# DMGetSparseLocalize

Check if the `DM` coordinates should be localized only for cells near the periodic boundary.

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGetSparseLocalize(DM dm, PetscBool *sparse)

Not collective

## Input Parameter

- dm - The `DM`

## Output Parameter

- sparse - `PETSC_TRUE` if only cells near the periodic boundary are localized

## See Also

`DMSetSparseLocalize()`, `DMLocalizeCoordinates()`, `DMSetPeriodicity()`

## Level

intermediate

## Location

src/dm/interface/dmperiodicity.c

## Examples

src/dm/impls/plex/tutorials/ex8.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages